.color-palette {
  padding: 4rem 2rem;
  background-color: var(--almond);
  text-align: center;
  border-radius: 5px;
}

.color-palette h2 {
  font-size: 2.5rem;
  margin-bottom: 1rem;
  color: var(--Espresso);
}

.palette-description {
  max-width: 700px;
  margin: 0 auto 3rem;
  font-size: 1rem;
  color: var(--Espresso);
  text-decoration: underline;
}

.color-grid {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 2rem;
  padding: 20px 0 20px 0;
  background-color: var(--Taupe);
  border-radius: 5px;
}

.color-card {
  width: 160px;
  height: 200px;
  border-radius: 10px;
  display: flex;
  align-items: flex-end;
  justify-content: center;
  padding: 1rem;
  color: var(--Espresso);
  font-weight: bold;
  font-size: 1rem;
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
  transition: transform 0.3s ease;
}

.color-card:hover {
  transform: translateY(-5px);
}